diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/antenna/test/test-cosine-antenna.cc ns-3.36/src/antenna/test/test-cosine-antenna.cc
--- ns-3.35/src/antenna/test/test-cosine-antenna.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/antenna/test/test-cosine-antenna.cc	2022-04-30 18:23:57.742733000 -0700
@@ -33,27 +33,53 @@
 
 NS_LOG_COMPONENT_DEFINE ("TestCosineAntennaModel");
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief Test condition (equal to or less than)
+ */
 enum CosineAntennaModelGainTestCondition  {
   EQUAL = 0,
   LESSTHAN = 1
 };
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief CosineAntennaModel Test
+ */
 class CosineAntennaModelTestCase : public TestCase
 {
 public:
+  /**
+   * Build the test name
+   * \param a Antenna angle
+   * \param b Horizontal and Vertical Beamwidth
+   * \param o Orientation
+   * \param g MaxGain
+   * \return the test name
+   */
   static std::string BuildNameString (Angles a, double b, double o, double g);
+  /**
+   * Constructor
+   * \param a Antenna angle
+   * \param b Horizontal and Vertical Beamwidth
+   * \param o Orientation
+   * \param g MaxGain
+   * \param expectedGainDb Expeted antenna gain
+   * \param cond Test condition
+   */
   CosineAntennaModelTestCase (Angles a, double b, double o, double g, double expectedGainDb, CosineAntennaModelGainTestCondition cond);
 
 
 private:
   virtual void DoRun (void);
-
-  Angles m_a;
-  double m_b;
-  double m_o;
-  double m_g;
-  double m_expectedGain;
-  CosineAntennaModelGainTestCondition m_cond;
+  Angles m_a; //!< Antenna angle
+  double m_b; //!< Horizontal and Vertical Beamwidth
+  double m_o; //!< Orientation
+  double m_g; //!< MaxGain
+  double m_expectedGain;  //!< Expected gain
+  CosineAntennaModelGainTestCondition m_cond; //!< Test condition
 };
 
 std::string CosineAntennaModelTestCase::BuildNameString (Angles a, double b, double o, double g)
@@ -105,6 +131,11 @@
 
 
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief CosineAntennaModel TestSuite
+ */
 class CosineAntennaModelTestSuite : public TestSuite
 {
 public:
@@ -211,4 +242,5 @@
 
 };
 
-static CosineAntennaModelTestSuite staticCosineAntennaModelTestSuiteInstance;
+/// Static variable for test initialization
+static CosineAntennaModelTestSuite g_staticCosineAntennaModelTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/antenna/test/test-degrees-radians.cc ns-3.36/src/antenna/test/test-degrees-radians.cc
--- ns-3.35/src/antenna/test/test-degrees-radians.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/antenna/test/test-degrees-radians.cc	2022-04-30 18:23:57.742733000 -0700
@@ -28,18 +28,33 @@
 
 using namespace ns3;
 
+/**
+ * \ingroup tests
+ *
+ * \brief Test degree to radians conversion
+ */
 class DegreesToRadiansTestCase : public TestCase
 {
 public:
+  /**
+   * Build the test name
+   * \param a test param
+   * \return the test name
+   */
   static std::string BuildNameString (double a);
+  /**
+   * Constructor
+   * \param a angle in degrees
+   * \param b expected angle in radians
+   */
   DegreesToRadiansTestCase (double a, double b);
 
 
 private:
   virtual void DoRun (void);
 
-  double m_a;
-  double m_b;
+  double m_a; //!< angle in degrees
+  double m_b; //!< expected angle in radians
 };
 
 std::string DegreesToRadiansTestCase::BuildNameString (double a)
@@ -66,18 +81,33 @@
 
 
 
+/**
+ * \ingroup tests
+ *
+ * \brief Test radians to degree conversion
+ */
 class RadiansToDegreesTestCase : public TestCase
 {
 public:
+  /**
+   * Build the test name
+   * \param a test param
+   * \return the test name
+   */
   static std::string BuildNameString (double a);
+  /**
+   * Constructor
+   * \param a angle in radians
+   * \param b expected angle in degrees
+   */
   RadiansToDegreesTestCase (double a, double b);
 
 
 private:
   virtual void DoRun (void);
 
-  double m_a;
-  double m_b;
+  double m_a; //!< angle in radians
+  double m_b; //!< expected angle in degrees
 };
 
 std::string RadiansToDegreesTestCase::BuildNameString (double a)
@@ -104,6 +134,11 @@
 
 
 
+/**
+ * \ingroup tests
+ *
+ * \brief TestSuite: degree to radians (and viceversa) conversions 
+ */
 class DegreesRadiansTestSuite : public TestSuite
 {
 public:
@@ -131,4 +166,5 @@
 
 };
 
-static DegreesRadiansTestSuite staticDegreesRadiansTestSuiteInstance;
+/// Static variable for test initialization
+static DegreesRadiansTestSuite g_staticDegreesRadiansTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/antenna/test/test-isotropic-antenna.cc ns-3.36/src/antenna/test/test-isotropic-antenna.cc
--- ns-3.35/src/antenna/test/test-isotropic-antenna.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/antenna/test/test-isotropic-antenna.cc	2022-04-30 18:23:57.742733000 -0700
@@ -28,18 +28,33 @@
 
 using namespace ns3;
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief IsotropicAntennaModel Test
+ */
 class IsotropicAntennaModelTestCase : public TestCase
 {
 public:
+  /**
+   * Build the test name
+   * \param a Antenna angle
+   * \return the test name
+   */
   static std::string BuildNameString (Angles a);
+  /**
+   * Constructor
+   * \param a Antenna angle
+   * \param expectedGainDb Expeted antenna gain
+   */
   IsotropicAntennaModelTestCase (Angles a, double expectedGainDb);
 
 
 private:
   virtual void DoRun (void);
 
-  Angles m_a;
-  double m_expectedGain;
+  Angles m_a; //!< Antenna angle
+  double m_expectedGain;  //!< Expected gain
 };
 
 std::string IsotropicAntennaModelTestCase::BuildNameString (Angles a)
@@ -68,6 +83,11 @@
 
 
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief IsotropicAntennaModel TestSuite
+ */
 class IsotropicAntennaModelTestSuite : public TestSuite
 {
 public:
@@ -89,4 +109,5 @@
 
 };
 
-static IsotropicAntennaModelTestSuite staticIsotropicAntennaModelTestSuiteInstance;
+/// Static variable for test initialization
+static IsotropicAntennaModelTestSuite g_staticIsotropicAntennaModelTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/antenna/test/test-parabolic-antenna.cc ns-3.36/src/antenna/test/test-parabolic-antenna.cc
--- ns-3.35/src/antenna/test/test-parabolic-antenna.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/antenna/test/test-parabolic-antenna.cc	2022-04-30 18:23:57.742733000 -0700
@@ -33,27 +33,54 @@
 
 NS_LOG_COMPONENT_DEFINE ("TestParabolicAntennaModel");
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief Test condition (equal to or less than)
+ */
 enum ParabolicAntennaModelGainTestCondition  {
   EQUAL = 0,
   LESSTHAN = 1
 };
 
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief ParabolicAntennaModel Test
+ */
 class ParabolicAntennaModelTestCase : public TestCase
 {
 public:
+  /**
+   * Build the test name
+   * \param a Antenna angle
+   * \param b Beamwidth
+   * \param o Orientation
+   * \param g MaxGain
+   * \return the test name
+   */
   static std::string BuildNameString (Angles a, double b, double o, double g);
+  /**
+   * Constructor
+   * \param a Antenna angle
+   * \param b Beamwidth
+   * \param o Orientation
+   * \param g MaxGain
+   * \param expectedGainDb Expeted antenna gain
+   * \param cond Test condition
+   */
   ParabolicAntennaModelTestCase (Angles a, double b, double o, double g, double expectedGainDb, ParabolicAntennaModelGainTestCondition cond);
 
 
 private:
   virtual void DoRun (void);
 
-  Angles m_a;
-  double m_b;
-  double m_o;
-  double m_g;
-  double m_expectedGain;
-  ParabolicAntennaModelGainTestCondition m_cond;
+  Angles m_a; //!< Antenna angle
+  double m_b; //!< Beamwidth
+  double m_o; //!< Orientation
+  double m_g; //!< MaxGain
+  double m_expectedGain;  //!< Expected gain
+  ParabolicAntennaModelGainTestCondition m_cond; //!< Test condition
 };
 
 std::string ParabolicAntennaModelTestCase::BuildNameString (Angles a, double b, double o, double g)
@@ -102,8 +129,11 @@
 }
 
 
-
-
+/**
+ * \ingroup antenna-tests
+ *
+ * \brief ParabolicAntennaModel TestSuite
+ */
 class ParabolicAntennaModelTestSuite : public TestSuite
 {
 public:
@@ -182,4 +212,5 @@
 
 };
 
-static ParabolicAntennaModelTestSuite staticParabolicAntennaModelTestSuiteInstance;
+/// Static variable for test initialization
+static ParabolicAntennaModelTestSuite g_staticParabolicAntennaModelTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/antenna/test/test-uniform-planar-array.cc ns-3.36/src/antenna/test/test-uniform-planar-array.cc
--- ns-3.35/src/antenna/test/test-uniform-planar-array.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/antenna/test/test-uniform-planar-array.cc	2022-04-30 18:23:57.742733000 -0700
@@ -36,7 +36,7 @@
 NS_LOG_COMPONENT_DEFINE ("TestUniformPlanarArray");
 
 /**
- * \ingroup tests
+ * \ingroup antenna-tests
  *
  * \brief UniformPlanarArray Test Case
  */
@@ -173,7 +173,7 @@
 
 
 /**
- * \ingroup tests
+ * \ingroup antenna-tests
  *
  * \brief UniformPlanarArray Test Suite
  */
